# Change Log
All notable changes to the Heap Android View Autocapture SDK will be documented in this file.

The format is based on [Keep a Changelog][cl] and this project adheres to
[Semantic Versioning][sv].

[cl]: http://keepachangelog.com/
[sv]: http://semver.org/

## [Unreleased]

## [0.7.5] 2025-02-07
- Updated text redaction to also redact accessibility label text. [MOBILE-13367]

## [0.7.4] 2025-01-15
- Updated the SDK to support new APIs in the Heap Android Core SDK (v. 0.7.6). [MOBILE-13005] 

## [0.7.3] 2024-12-16
- Updated the SDK to support new Heap Android Compose Autocapture SDK (v. 0.7.3). [MOBILE-10699]

## [0.7.2] 2024-12-09
- Added a new API to override the target text for any View [MOBILE-12928]

## [0.7.1] 2024-10-14
- Updated protobuf to resolve a vulnerability [MOBILE-12370]
- Added Android View Autocapture to the Google Play SDK Console [MOBILE-12196]

## [0.7.0] 2024-08-29
- Updated the SDK to be compatible with new API signatures and configuration options added in Heap Android Core 0.7.0. [MOBILE-11938]

## [0.6.0] 2024-06-11
- Updated the SDK to be compatible with configuration options added in Heap Android Core 0.6.0. [PA-3206]

## [0.5.1] 2024-02-26
- Updated the SDK to be compatible with public API changes made in Heap Android Core 0.5.1. [PA-2786]

## [0.5.0] 2024-01-10
- Updated the SDK to be compatible with configuration options added in Heap Android Core 0.5.0. [HEAP-50217]

## [0.4.0] 2023-09-29
- Added support for disabling accessibility label capture via option in Heap Android Core 0.4.0 [HEAP-47328]

## [0.3.0] 2023-06-23
- Added support for AndroidX Fragment transition events [HEAP-41749]

## [0.2.0] 2023-05-15
- Updated the SDK to be compatible with the new session start behavior in Heap Android Core 0.2.0. [HEAP-42385]

## [0.1.0] 2023-03-10
- Initial release of Heap Android View Autocapture SDK [HEAP-40168]
